({
    onDamagingHit(damage, target, source, move) {
        if (!source || !source.hp) return;
        if (move.category !== 'Physical') return;
        if (!move.flags || !move.flags.contact) return;

        source.trySetStatus('tox', target);
        source.addVolatile('confusion');
    },

    flags: {
        failroleplay: 1,
        noreceiver: 1,
        noentrain: 1,
        notrace: 1,
        failskillswap: 1,
        cantsuppress: 1
    },

    name: "Nauseous Poison",
    rating: 3
})
